Skip to main content
GET
List organization team event types

Headers

cal-api-version
string
default:2026-06-12
required

Must be set to 2026-06-12. If not set to this value, the endpoint will default to an older version.

Example:

"2026-06-12"

x-cal-secret-key
string

For platform customers - OAuth client secret key

x-cal-client-id
string

For platform customers - OAuth client ID

Authorization
string

value must be Bearer <token> where <token> is api key prefixed with cal_, managed user access token, or OAuth access token

Path Parameters

teamId
number
required
orgId
number
required

Query Parameters

eventSlug
string

Slug of team event type to return.

hostsLimit
number

Specifies the maximum number of hosts to include in the response. This limit helps optimize performance. If not provided, all Hosts will be fetched.

sortCreatedAt
enum<string>

Sort event types by creation date. When not provided, no explicit ordering is applied.

Available options:
asc,
desc

Response

200 - application/json
status
enum<string>
required
Available options:
success,
error
Example:

"success"

data
object[]
required